function m0232
%  m0232.m     (Matlab&Simulink Rel.13 SP1)
%
%  Bild 2.32
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  Unterprogramme: s0232.mdl
%
%  (c) 10.11.05  R.Froriep
%
% ########################################################
%
%  Variations-Empfehlungen:
%
%   T1    Zeitkonstante der nichtschwingenden
%         Sprungantwort im Bereich  1 < T1 <  3
%
%   d     Dmpfungsgrad der schwingenden
%         Sprungantwort im Bereich  0 < d <  1
%
% ########################################################
clear

   T1 = 2;        % Voreinstellung  T1=2       
   d  = .5;       % Voreinstellung  d=.5      

% ########################################################

menu='none';  % none oder fig
close all
fonts=9; 

% Nichtschwingende Sprungantwort (P-Tn-Glied)
%---------------------------------------------
%T1=2;
pt1nen=[ T1 1 ];
nen=conv(pt1nen,pt1nen);
nen=conv(nen,pt1nen);
nen1=conv(nen,pt1nen);
zae1=3;  nen1=nen;


% Schwingende Sprungantwort (P-T2-Glied)
%---------------------------------------------
Kp=4; wo=.8; %d=0.5;
T1=2*d*wo;  T2=1/wo;
zae2=[Kp]; nen2=[T2^2 T1 1];

figure(1)
set(gcf,'Units','normal','Position',[.55 .5 .42 .4], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild 2.32');
buch(gcf)

tauend=4*2*pi; 

% Fr Simulink:
assignin('base','zae1',zae1)
assignin('base','nen1',nen1)
assignin('base','zae2',zae2)
assignin('base','nen2',nen2)

opts=simset('Solver','ode45',...
      'InitialState',[],...
      'MaxStep',.1);
 [t,x,y]=sim('s0232',[0 tauend],opts);

t1=[-1 tauend]; t2=[0 0]; plot(t1,t2,'k'), hold on;
plot(t,y(:,1),'b',t,y(:,2),'b',t,y(:,3),'b');
set(gca,'FontSize',fonts,...
    'Position',[.15 .17 .75 .7]);
set(gca,'XTickLabel',[],'YTickLabel',[]);
axis([-1 tauend 0 6])
title('Sprungantworten schwingend / nichtschwingend')
xlabel('t \rightarrow')
ylabel('u, v \rightarrow')























function []=buch(fighandle)
cr0=uimenu('parent', fighandle);
set(cr0,'Label','?') 
cr1=uimenu('parent', cr0);
set(cr1,'Label','Mann/Schiffelgen/Froriep') 
cr2=uimenu('parent', cr0);
set(cr2,'Label','Einfhrung in die Regelungstechnik') 
cr3=uimenu('parent', cr0);
set(cr3,'Label','Hanser-Verlag')

