function ma503
%  ma503.m     (Matlab&Simulink Rel.13 SP1)
%
%  Bild A.5.3
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  Unterprogramme:  keine
%
%  (c)10.11.05  R.Froriep
%
% ########################################################
%
%  Variations-Empfehlungen:
%
% 
%
% ########################################################
clear



% ########################################################

menu='none';  % none oder fig
close all
fonts=8;

K=12.5;
T1z=0.4;
T1n=3;
T2=sqrt(2);

d=T1n/(2*T2);

Fz1=[T1z 1];
Fn1=[1 0];
Fn2=[T2^2 T1n 1];

zae=K*Fz1;
nen=conv(Fn1,Fn2);

figure(1)
set(gcf,'Units','normal','Position',[.55 .4 .4 .5], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild A.5.3');
buch(gcf)

w=logspace(-2,2,100);

[betr,phas,w]=bode(zae,nen,w);

subplot(2,1,1)
betr=20*log10(betr);
semilogx(w,betr,'b'), grid on, hold on
dBachs=[-5:5]*20; phachs=[-5:5]*90;
set(gca,'FontSize',fonts,...
    'XLim',[0.01 100],'YLim',[-40 60],...
    'YTick',dBachs);
om1=[0.01 100]; om2=[ 0 0]; plot(om1,om2,'k')
xlabel('\omega/(rad s^{-1})')
ylabel('|G(j\omega)|_{dB} / dB')

subplot(2,1,2)
semilogx(w,phas,'b'), grid on, hold on
set(gca,'FontSize',fonts,...
    'XLim',[0.01 100],'YLim',[-225 90],...
    'YTick',phachs);
om1=[0.01 100]; om2=[ 0 0]; plot(om1,om2,'k')
xlabel('\omega/(rad s^{-1})')
ylabel('/\_G(j\omega) / Grad')




















function []=buch(fighandle)
cr0=uimenu('parent', fighandle);
set(cr0,'Label','?') 
cr1=uimenu('parent', cr0);
set(cr1,'Label','Mann/Schiffelgen/Froriep') 
cr2=uimenu('parent', cr0);
set(cr2,'Label','Einfhrung in die Regelungstechnik') 
cr3=uimenu('parent', cr0);
set(cr3,'Label','Hanser-Verlag')
